Skip to main content
POST
/
api
/
v1
/
verification
/
create-verification
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/create-verification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_id": "{your_trust_flow_id}",
  "metadata": {
    "key": "value"
  }
}
'
{
  "message": "Verification created successfully",
  "verification": {
    "user_id": "{your_user_id}",
    "company_id": "{your_company_id}",
    "template_id": "{your_template_id}",
    "status": 99,
    "verification_date": "2025-09-12T07:00:57.750683Z",
    "verification_data": "[]",
    "verification_started_at": "2025-09-12T07:00:57.750691Z",
    "metadata": null,
    "id": "{your_verification_id}"
  },
  "template": {
    "id": "{your_template_id}",
    "company_id": "{your_company_id}",
    "name": "qr verification",
    "plans": "null",
    "created_at": "2025-09-11T07:22:54.000000Z",
    "updated_at": "2025-09-11T07:22:54.000000Z",
    "dropzone_plans": "[494]",
    "workflow_id": "{your_workflow_id}",
    "webhook_url": null,
    "redirect_url": null,
    "webhook_secret": null
  },
  "tool_settings": [
    {
      "your_tool_settings": {}
    }
  ],
  "plans": [
    {
      "your_verification_plan": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

metadata
object

Optional additional data for custom logic, analytics, or tracking use.

Response

200 - application/json

Verification created successfully

message
string
verification
object
template
object
tool_settings
object[]
plans
object[]